Subject: RE: 'native' v. 'string' (RE: I-DACTION:draft-ietf-ldapbis-protoc ol-06.txt)

From: "Ramsay, Ron" <[email-masked]>
Date: Thu, 7 Mar 2002 14:37:15 +1100

I also like specific (heaps), proper and generic (not much).

LDAP-specific encoding just rolls off the tongue?

Ron.

-----Original Message-----
From: Jim Sermersheim [mailto:[email-masked]]
Sent: Thursday, 7 March 2002 13:44
To: [email-masked]; [email-masked]
Cc: [email-masked]; Ramsay, Ron
Subject: 'native' v. 'string' (RE:
I-DACTION:draft-ietf-ldapbis-protocol-06.txt)

Yeah, how about "indigenous".

But seriously, here are some possible alternatives (in my preference
order). "common", "natural", "normalized", "ldap", and "native-ldap".
Not sure if I like any of them better than native, but some may
alleviate the concerns being raised. My only issue with native is the
'local' connotation. Meaning, I don't want people to think that native
means "the form in which the value is stored in the server's database".

Jim

>>> "Kurt D. Zeilenga" <[email-masked]> 03/04/02 09:26PM >>>
Sorry for replying twice (and now a third time).  My e-mail client
told me I hadn't yet sent it when in fact I did.  Anyways, just
for clarity.

If anyone has an alternative term to use for 'string' which
is clearly better than 'native', they should make their case
to the WG soon so that final determination can be made.

Kurt

At 08:10 PM 2002-03-04, Kurt D. Zeilenga wrote:
>At 04:56 PM 2002-03-04, Ramsay, Ron wrote:
>>This use of the term 'native' encoding is not good. I think we have
already
>>established that every syntax must have an ASN.1 encoding defined,
and I
>>would think that this is about as native as you can get. I can see
>>difficulties with the term 'string' encoding, but I don't think
'native' is
>>the way to go.
>
>The WG consensus was use a different term. The only proposal
>we have is use the term 'native'.
>
>I note that ASN.1 provides only the data definition, not an
>encoding.  LDAP currently has two possible encodings, both
>defined in terms of the ASN.1 data definition.  Referring
>to the "string" representation as a "native" encoding as
>they were born in LDAP technical specifications for use
>in LDAP.
>
>Kurt